#!/usr/bin/bash

/cygdrive/c/Program\ Files/Lemur/Lemur\ 4.3.2/bin/IndriBuildIndex.exe 20_ng_indri_par_autos.xml
# Woerter, die in weniger als 20 Dokumenten vorkommen werden entfernt.
/cygdrive/c/Program\ Files/Lemur/Lemur\ 4.3.2/bin/dumpindex.exe 20_ng_rec_autosindex1 v \
gawk '{if($3<=20) printf("<word>%s</word>\n",$1);}' > 20_ng_rec_autosindex1_stop.txt
cat 20_ng_indri_par_autos_final_begin.xml 20_ng_rec_autosindex1_stop.txt 20_ng_indri_par_autos_final_end.xml > 20_ng_indri_par_autos_final.xml
/cygdrive/c/Program\ Files/Lemur/Lemur\ 4.3.2/bin/IndriBuildIndex.exe 20_ng_indri_par_autos_final.xml


#$ /cygdrive/c/Program\ Files/Lemur/Lemur\ 4.3.2/bin/dumpindex.exe 20_ng_rec_autosindex_final  s
#Repository statistics:
#documents:      1019
#unique terms:   1379
#total terms:    222634

rm 20_ng_rec_autos.csv

for ((DOCID=1; DOCID <= 1019; DOCID=DOCID+1))
do
echo $DOCID
/cygdrive/c/Program\ Files/Lemur/Lemur\ 4.3.2/bin/dumpindex.exe 20_ng_rec_autosindex_final dv $DOCID | \
grep -v "[OOV]" | sed "1,2d" | \
sort --key=3,3 | uniq --skip-fields=2 | \
gawk ' NR == 1 {printf("%s",$3);} {printf(",%s",$3);} END{printf("\n");}' >> 20_ng_rec_autos.csv
done

rm -r 20_ng_rec_autosindex1 20_ng_rec_autosindex_final
